<!DOCTYPE html>
<html>
<head>
    <style>
        body {
            font-family: Arial, sans-serif;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            padding: 5px;
            text-align: left;
        }
    </style>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/PapaParse/5.3.0/papaparse.min.js"></script>
</head>
<body>
    <h2>Balance Sheet</h2>
    <p>(USD in millions)</p>
    <table id="balanceSheet">
        <tr>
            <th></th>
            <th>Sep-2017</th>
            <th>Sep-2018</th>
            <th>Sep-2019</th>
            <th>Sep-2020</th>
            <th>Sep-2021</th>
        </tr>
        <!-- Rows will be added by JavaScript -->
    </table>

    <script>
        // URL of your CSV file
        var csvUrl = 'https://gitlab.com/simon.yam227/images/-/raw/bf19d95e934334d55d46f327b4568429e77e99a1/data/financial_data_test.csv';

        // Fetch the CSV data
        fetch(csvUrl)
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.text();
            })
            .then(csvData => {
                // Parse the CSV data
                var rows = Papa.parse(csvData, {
                    header: true,
                    dynamicTyping: true,
                }).data;

				console.log(rows);  // add this line

                // Convert the rows to a more convenient format
                var data = {};
                rows.forEach(row => {
                    if (!data[row.Category]) {
                        data[row.Category] = {};
                    }
                    data[row.Category][row.Months] = row['Amount$'].replace('$', '').replace(',', '').trim();
                });

                // Get the table element
                var table = document.getElementById('balanceSheet');

                // Loop through the data and add rows to the table
                for (var category in data) {
                    var tr = document.createElement('tr');

                    var td = document.createElement('td');
                    td.textContent = category;
                    tr.appendChild(td);

                    for (var date in data[category]) {
                        var td = document.createElement('td');
                        td.textContent = data[category][date];
                        tr.appendChild(td);
                    }

                    table.appendChild(tr);
                }
            })
            .catch(error => {
                console.error('There has been a problem with your fetch operation:', error);
            });
    </script>
</body>
</html>
